/*!
 * gulpis
 *
 * Copyright (c) 2016 Katsunori Koyanagi.
 * Licensed under the MIT license.
 */

"use strict";

//起動オプション
for (let arg of process.argv.slice(2)) {
	//--で始めるオプションのみ処理
	if (!arg.startsWith("--")) {
		continue;
	}

	//key=valueもしくはkeyの形式で格納
	let name = arg.substr(2);
	let idx = name.indexOf("=");
	let val;

	if (idx == -1) {
		val = true;
	} else {
		val = name.substr(idx + 1);
		name = name.substr(0, idx);
	}

	exports[name] = val;
}
