/*!
 * gulpis
 *
 * Copyright (c) 2016 Katsunori Koyanagi.
 * Licensed under the MIT license.
 */

"use strict";

var options = require("./options");

//オプションに指定があれば上書き
if (options.prod || options.production) {
	process.env.NODE_ENV = "production";
} else if (options.stag || options.stage || options.staging) {
	process.env.NODE_ENV = "staging";
} else if (options.dev || options.devel || options.development) {
	process.env.NODE_ENV = "development";
}

//未指定なら開発モード
if (!process.env.NODE_ENV) {
	process.env.NODE_ENV = "development";
}

module.exports = process.env.NODE_ENV;
